/*
*   Hot air controller
*   Controller for a hot air soldering gun
*
*   File: UiFuncs.h
*
*   Version:    1.0 beta (06.03.2011)
*   Author:     Tobias Schlegel, DK7SCH
*   Web:        www.tobias-schlegel.de
*   Contact:    tobias@drschlegel.de
*   Date:       06.03.2011
*   License:    Creative Commons CC-BY 3.0
*               http://creativecommons.org/licenses/by/3.0/deed.en
*
*               Attribution:    Attribute with a copy of this code header and (if applicable)
*                               a notation in the "About" page of your product.
*
*/

#include <inttypes.h>

uint8_t uifSysView(char *cout, uint8_t *len, uint8_t lcdsize, uint8_t key);
uint8_t uifHeaterMenu(char *cout, uint8_t *len, uint8_t lcdsize, uint8_t key);
uint8_t uifMainMenu(char *cout, uint8_t *len, uint8_t lcdsize, uint8_t key);
uint8_t uifSettemp(char *cout, uint8_t *len, uint8_t lcdsize, uint8_t key);
uint8_t uifSetPid(char *cout, uint8_t *len, uint8_t lcdsize, uint8_t key);

uint8_t uiTempstr(char *cout, uint16_t temp);
