/*
*   Hot air controller
*   Controller for a hot air soldering gun
*
*   File: namesaliases.h
*
*   Version:    1.0 beta (06.03.2011)
*   Author:     Tobias Schlegel, DK7SCH
*   Web:        www.tobias-schlegel.de
*   Contact:    tobias@drschlegel.de
*   Date:       06.03.2011
*   License:    Creative Commons CC-BY 3.0
*               http://creativecommons.org/licenses/by/3.0/deed.en
*
*               Attribution:    Attribute with a copy of this code header and (if applicable)
*                               a notation in the "About" page of your product.
*
*/

#include <avr/io.h>
#include <avr/eeprom.h>

#define d_lcd           1
#define d_twi           2
#define d_max           3
#define d_uart          4
#define d_pwm           5


#define shui_displaymanagement  1
#define shui_longkey            2
#define shui_longlongkey        3

#define sys_measuring           4
#define sys_safe                5


#define evt_NewKey              1
#define evt_NewSoftKey          2
#define evt_NewMeasurements     3
//#define evt_


#define regulator_amount 2


extern uint16_t    EEMEM set_HeatSetpoints[regulator_amount];
extern int8_t      EEMEM set_PidParams[regulator_amount][3];



