
/*
*   Hot air controller
*   Controller for a hot air soldering gun
*
*   File: debug.c
*
*   Version:    1.0 beta (06.03.2011)
*   Author:     Tobias Schlegel, DK7SCH
*   Web:        www.tobias-schlegel.de
*   Contact:    tobias@drschlegel.de
*   Date:       06.03.2011
*   License:    Creative Commons CC-BY 3.0
*               http://creativecommons.org/licenses/by/3.0/deed.en
*
*               Attribution:    Attribute with a copy of this code header and (if applicable)
*                               a notation in the "About" page of your product.
*
*/

#include <avr/io.h>
#include <inttypes.h>
#include <inttypes.h>
#include "debug.h"

#include "string.h"
#include "libinterface.h"

#if debug

void _debugIfOut(uint8_t id, uint16_t address, const char * cText){
    if_datatype newl[] = {13, 10};

    ifWrite(id, address, if_TODTP cText, str_len((char *)cText));
    ifWrite(id, address, newl, 2);
}


#endif
