/*
*   Hot air controller
*   Controller for a hot air soldering gun
*
*   File: displaymanagement.h
*
*   Version:    1.0 beta (06.03.2011)
*   Author:     Tobias Schlegel, DK7SCH
*   Web:        www.tobias-schlegel.de
*   Contact:    tobias@drschlegel.de
*   Date:       06.03.2011
*   License:    Creative Commons CC-BY 3.0
*               http://creativecommons.org/licenses/by/3.0/deed.en
*
*               Attribution:    Attribute with a copy of this code header and (if applicable)
*                               a notation in the "About" page of your product.
*
*/

#include <inttypes.h>


#define lcdSize     35
#define lcdiface    1


#ifndef __dmsource
#define __dmsource 1
typedef uint8_t (*dm_source)(char *, uint8_t *, uint8_t, uint8_t);
#endif

void    dm_refreshLcd(void);
void    dm_newKey(uint8_t k);
void    dm_changeSource(dm_source sc);

