

/*
*   LibInterface
*   A very basic hardware abstraction library.
*   -> Default driver template
*
*   File: default_driver.h
*
*   Version:    1.0
*   File-Ver.:  1.0 (05.Jan.2011)
*   Author:     Tobias Schlegel, DK7SCH
*   Web:        www.tobias-schlegel.de
*   Contact:    tobias@drschlegel.de
*   Date:       5.Jan.2011
*   License:    Creative Commons CC-BY 3.0
*               http://creativecommons.org/licenses/by/3.0/deed.en
*
*               Attribution:    Attribute with a copy of this code header and (if applicable)
*                               a notation in the "About" page of your product.
*
*/

/*
This is an excample of a standard driver.
*/

#include <avr/io.h>

#include "../../libinterface.h"

//... driver control commands
#define defaultc_shutdown       0
#define defaultc_init           1

uint8_t pwm_write(uint16_t, if_datatype *, uint8_t);
uint8_t pwm_read(uint16_t, if_datatype *, uint8_t);
uint8_t pwm_control(uint16_t, if_datatype *);
