/*
*   Hot air controller
*   Controller for a hot air soldering gun
*
*   File: menuhandlers.h
*
*   Version:    1.0 beta (06.03.2011)
*   Author:     Tobias Schlegel, DK7SCH
*   Web:        www.tobias-schlegel.de
*   Contact:    tobias@drschlegel.de
*   Date:       06.03.2011
*   License:    Creative Commons CC-BY 3.0
*               http://creativecommons.org/licenses/by/3.0/deed.en
*
*               Attribution:    Attribute with a copy of this code header and (if applicable)
*                               a notation in the "About" page of your product.
*
*/

#include <inttypes.h>


void mh_ChSetpnt(uint8_t call);
void mh_BackSysScr(uint8_t call);

void mh_ChP(uint8_t call);
void mh_ChI(uint8_t call);
void mh_ChD(uint8_t call);

void mm_facRes(uint8_t call);
