/*
*   Hot air controller
*   Controller for a hot air soldering gun
*
*   File: settings.h
*
*   Version:    1.0 beta (06.03.2011)
*   Author:     Tobias Schlegel, DK7SCH
*   Web:        www.tobias-schlegel.de
*   Contact:    tobias@drschlegel.de
*   Date:       06.03.2011
*   License:    Creative Commons CC-BY 3.0
*               http://creativecommons.org/licenses/by/3.0/deed.en
*
*               Attribution:    Attribute with a copy of this code header and (if applicable)
*                               a notation in the "About" page of your product.
*
*/

#include <avr/io.h>
#include <avr/eeprom.h>

#define set_size 0


uint8_t load_byte_setting(void * adr);
void store_byte_setting(void * adr, uint8_t byte);

uint16_t load_word_setting(void * adr);
void store_word_setting(void * adr, uint16_t word);

