/*
*   Hot air controller
*   Controller for a hot air soldering gun
*
*   File: string.h
*
*   Version:    1.0 beta (06.03.2011)
*   Author:     Tobias Schlegel, DK7SCH
*   Web:        www.tobias-schlegel.de
*   Contact:    tobias@drschlegel.de
*   Date:       06.03.2011
*   License:    Creative Commons CC-BY 3.0
*               http://creativecommons.org/licenses/by/3.0/deed.en
*
*               Attribution:    Attribute with a copy of this code header and (if applicable)
*                               a notation in the "About" page of your product.
*
*/

#include <avr/io.h>

void inttostr32(char * target, uint32_t source, uint8_t digits);
void inttostr16(char * target, uint16_t source, uint8_t digits);
void inttostr8(char * target, uint8_t source, uint8_t digits);
void sinttostr32(char * target, int32_t source, uint8_t digits);
void sinttostr16(char * target, int16_t source, uint8_t digits);
void sinttostr8(char * target, int8_t source, uint8_t digits);

void str_cpy_p(char * t, const char * text);
void str_cpy(char * t, char * text);

void str_cat(char * a, char * b);
void str_cat_p(char * a, const char * b);

uint8_t str_len(char * t);
